## org.eclipse.ocl.expressions
Interface PropertyCallExp<C,P>

All Superinterfaces:
  ASTNode, CallExp<C>, CallingASTNode, EObject, FeatureCallExp<C>, NavigationCallExp<C,P>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  PropertyCallExp, PropertyCallExp

All Known Implementing Classes:
  PropertyCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl

    public interface PropertyCallExp<C,P>

extends NavigationCallExp<C,P>

A representation of the model object 'Property Call Exp'.

The following features are supported:

- `Referred Property`

See Also:
  `ExpressionsPackage.getPropertyCallExp()`

Method Summary
`boolean` `checkPropertyType(DiagnosticChain diagnostics, Map<Object,Object> context)` type = referredProperty.type
`P` `getReferredProperty()` Returns the value of the 'Referred Property' reference
`void` `setReferredProperty(P value)` Sets the value of the '`Referred Property`' reference

Methods inherited from interface org.eclipse.ocl.expressions.NavigationCallExp
`getNavigationSource, getQualifier, setNavigationSource`

Methods inherited from interface org.eclipse.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferredProperty

    P getReferredProperty()

  Returns the value of the 'Referred Property' reference.

  If the meaning of the 'Referred Property' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Property' reference.
  See Also:
    `setReferredProperty(Object)`, `ExpressionsPackage.getPropertyCallExp_ReferredProperty()`

### setReferredProperty

    void setReferredProperty(P value)

  Sets the value of the '`Referred Property`' reference.

  Parameters:
    `value` - the new value of the 'Referred Property' reference.
  See Also:
    `getReferredProperty()`

### checkPropertyType

    boolean checkPropertyType(DiagnosticChain diagnostics,
                              Map<Object,Object> context)

  type = referredProperty.type

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.